/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/***** BUSCAR *****
function focusBuscar(event){
    $(event.data.elem).siblings('span').addClass('ing-cancelar pointer');
    $(event.data.elem).siblings('label').removeClass('text-secondary').addClass('text-primary');    
}
function blurBuscar(event){
    $(event.data.elem).siblings('span').removeClass('ing-cancelar pointer');
    $(event.data.elem).siblings('label').removeClass('text-primary').addClass('text-secondary');
}
function keyUpBuscar(event){
    var value = $(event.data.elem).val().toLowerCase();
    $(event.data.renglon).filter(function() {
        $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1);
    });
}
function clickBuscar(event){
    if ($(event.data.span).hasClass('ing-cancelar')){
        $(event.data.span).siblings('input').val('');
        $(event.data.renglon).show();
    }
}*/

/***** DATALIST *****/
function limpiaInputDL(event) {
    $('#input' +event.data.elem).val('');
    $('#input' +event.data.elem).parent().children('ul').removeClass('border border-primary');
    $('#input' +event.data.elem).parent().children('ul').children('li').show();
    $('#input' +event.data.elem).parent().children('ul').children('li:first').focus();
    $('#input' +event.data.elem).focus();    
}
function clickDataList(event) {
    $('#dl' + event.data.elem + ' input').focus();
    $('#dl' + event.data.elem + ' ul').addClass('border border-primary');
    $('#dl' + event.data.elem + ' ul').show();    
    $('#dl' + event.data.elem +' ul').show();
    $('#icon' + event.data.elem).addClass('ing-borrar pointer');
    $('#icon' + event.data.elem).trigger('click',{elem: event.data.elem},limpiaInputDL);
}
function blurDataList(event) {
    if(!datalist_click[event.data.index]) {
        $('#dl' + event.data.elem + ' span').removeClass('ing-borrar');
        $('#dl' + event.data.elem + ' ul').children('li').show();
        $('#dl' + event.data.elem + ' ul').hide();
    }
}
function mousedownDataList(event) {
    datalist_click[event.data.index] = true;
}
function mouseupDataList(event) {
    datalist_click[event.data.index] = false;
    $('#input' + event.data.elem).focus();
}
function inputKeyUp(event){
    var input = $('#dl' + event.data.elem + ' input');    
    $('#dl' + event.data.elem + ' ul li').each(function(){
        var elem = $(this);
        if ($(this).parent().is('li'))
            elem = $(this).parent();
        if (!sinAcentos($(this).html()).toUpperCase().includes(sinAcentos($(input).val()).toUpperCase()))
            $(elem).hide();
        else
            $(elem).show();
    });
}
function itemDataList(event){
    $(this).parent('ul').siblings('span').removeClass('ing-cancelar iconoAzul pointer');
    $(this).parent('ul').hide();
    $('#input' + event.data.elem).val($(this).text());
    $('#dl' + event.data.elem).data('id', $(this).data('id'));
}

/***** DROPDOWNLIST *****/
function clickDropdownList(event) {
    if (!$('#ddl' + event.data.elem).hasClass('show')){
        $('#ddl' + event.data.elem).addClass('show');
    } else {
        $('#ddl' + event.data.elem).removeClass('show');
    }
}
function blurDropdownList(event) {
    if(!dropdownlist_click[event.data.index])
        $('#ddl' + event.data.elem).removeClass('show');
}
function mousedownDropdownList(event) {
    dropdownlist_click[event.data.index] = true;
}
function mouseupDropdownList(event) {
    dropdownlist_click[event.data.index] = false;
}
function itemDropdownList(){
    $(this).parent().parent().data('id',$(this).data('id'));
    $(this).parent().siblings('button').children('label').text($(this).text());
    $(this).siblings('.active').removeClass('active');
    $(this).addClass('active');
    $(this).parent().parent().removeClass('show');
}

/***** TOGGLE *****/
function changeToogle(){
    $(this).toggleClass('active');
    if ($('.span').text() == $(this).data('on')){
        $('.span').text($(this).data('off'));
        $(this).children('input').prop('checked',false);
    } else {
        $('.span').text($(this).data('on'));
        $(this).children('input').prop('checked',true);
    }
}